import argparse

import main

#_______________________________________________________________________________________________________________________
# Создание парсера аргументов
parser = argparse.ArgumentParser(description="Описание скрипта")

# Добавление аргументов для команды и имени файла
parser.add_argument('command', type=str, choices=['create', 'run', 'downgrade', 'help'], help='Команда: create или delete или downgrade или help')
#parser.add_argument('arg', type=str, help='Имя файла')
# Добавьте аргумент для имени файла или других параметров, если необходимо
parser.add_argument('file', nargs='?', help='Имя файла или другие параметры, связанные с командой')


# Разбор аргументов командной строки
args = parser.parse_args()

# В зависимости от команды, выполните нужные действия
if args.command == 'create':
    main.create()
elif args.command == 'run':
    main.run()
elif args.command == 'help':
    main.help()
elif args.command == 'downgrade':
    main.downgrade(args.file)



#_______________________________________________________________________________________________________________________

